Migrate a connection
post
/v1/connections/migrate

Create a new connection by migrating it from your application to fetchdocs. This endpoint creates a new connection and stores the credentials at fetchdocs. If the integration requires OAuth, the connection is created in status INVALID_CREDENTIALS. A startdate sent in fields is ignored: migrated connections always get the migration date as startdate, so only documents created on or after the migration are fetched.

🔐 Authentication
X-API-KEY API key of the environment
Header parameter: X-API-KEY
📤 Request

Content Type: application/json
identity_uuid string required uuid

The UUID of the identity the connection should be created for.

Example: 81c4de7f-cdba-4f45-ba2c-dd8060fde7e5
integration_id string required

The ID of the integration the connection should be created for.

Example: aws_s3
name string required

The name of the connection. Can later be shown to the user.

Example: My Connection
fields object required

The fields required by the integration. The fields are dynamic and depend on the integration. The fields are validated by the integration itself.

Example: { "secret_id": "mustermann", "secret_key": "123456" }
Request Example
📥 Response
201 Created
Content Type:
401 Unauthorized Error
Content Type:
403 Forbidden
Content Type:
404 Not Found
Content Type:
422 Unprocessable Entity
Content Type:
500 Internal Server Error
Content Type:
Response Examples